Find ID
Searches for ECGrid IDs by ISA qualifier and ISA ID value.
Endpoint
POST /v2/ids/find
tip
Use this endpoint to look up a trading partner's ECGrid ID before creating an interconnect. The qualifier and ID correspond directly to the ISA-05/ISA-06 (sender) or ISA-07/ISA-08 (receiver) fields in an X12 interchange envelope.
Request Body
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
qualifier | string | Yes | Valid ISA qualifier (e.g. "01", "ZZ") | EDI ISA qualifier to search |
id | string | Yes | ISA ID value | EDI ISA identifier to search |
{
"qualifier": "01",
"id": "PARTNER001"
}
Response
Returns an array of matching ECGridIDInfo objects. Multiple results may be returned if the same qualifier/ID combination is registered in different networks.
{
"success": true,
"data": [
{
"ecGridId": 123456,
"mailboxId": 1001,
"networkId": 42,
"qualifier": "01",
"id": "PARTNER001",
"description": "Acme Corp Production",
"status": "Active",
"routingGroup": "ProductionA",
"ediStandard": "X12"
}
]
}
Code Examples
- cURL
- C#
- Java
- Node.js
- Python
curl -X POST "https://rest.ecgrid.io/v2/ids/find" \
-H "X-API-Key: $ECGRID_API_KEY" \
-H "Content-Type: application/json" \
-d '{ "qualifier": "01", "id": "PARTNER001" }'
// .NET 10 — find a trading partner's ECGrid ID by qualifier and ISA ID
using var client = httpClientFactory.CreateClient("ECGrid");
var request = new
{
qualifier = "01",
id = "PARTNER001"
};
var response = await client.PostAsJsonAsync(
"https://rest.ecgrid.io/v2/ids/find", request);
response.EnsureSuccessStatusCode();
var result = await response.Content.ReadFromJsonAsync<ApiResponse<List<ECGridIDInfo>>>();
foreach (var ecgridId in result!.Data)
{
Console.WriteLine($"Found ECGrid ID {ecgridId.EcGridId}: {ecgridId.Description}");
}
import java.net.URI;
import java.net.http.*;
String apiKey = System.getenv("ECGRID_API_KEY");
String body = "{ \"qualifier\": \"01\", \"id\": \"PARTNER001\" }";
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://rest.ecgrid.io/v2/ids/find"))
.header("X-API-Key", apiKey)
.header("Content-Type", "application/json")
.POST(HttpRequest.BodyPublishers.ofString(body))
.build();
HttpClient client = HttpClient.newHttpClient();
HttpResponse<String> response = client.send(
request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
const apiKey = process.env.ECGRID_API_KEY;
const url = 'https://rest.ecgrid.io/v2/ids/find';
const response = await fetch(url, {
method: 'POST',
headers: {
'X-API-Key': apiKey,
'Content-Type': 'application/json',
},
body: JSON.stringify({ "qualifier": "01", "id": "PARTNER001" }),
});
const data = await response.json();
console.log(data);
import os, requests
api_key = os.environ["ECGRID_API_KEY"]
headers = {"X-API-Key": api_key}
url = "https://rest.ecgrid.io/v2/ids/find"
response = requests.post(
url,
json={ "qualifier": "01", "id": "PARTNER001" },
headers=headers,
)
response.raise_for_status()
print(response.json())